Bug 1370113 - SMB:Create time getting updated always when the file is accessed or modified on windows client
Summary: SMB:Create time getting updated always when the file is accessed or modified ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: gluster-smb
Version: 3.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Raghavendra Talur
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-25 11:03 UTC by surabhi
Modified: 2017-11-07 10:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 10:42:24 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description surabhi 2016-08-25 11:03:14 UTC
Description of problem:
*****************************

On a windows client when a MS-word doc is created, in the properties it updates create time, modified time and access time.
Now when the doc is accessed again and modified and again the properties are checked , it actually updates the create time as well along with mtime and atime.

Similar test execution result on different shares as follows:

1) On windows local share : create time doesn't changes when the doc is accessed or modified.
2) On Samba-xfs share  : Create time doesn't doesn't changes when the doc is accessed or modified.

Only with glusterfs-samba share the issue is seen.

Also tested with stat-prefetch off and on, doesn't make any difference.


Version-Release number of selected component (if applicable):
*********************************************
glusterfs-3.8.2-0.24.gitf524648.el7.x86_64

Note: This is a private build based on 3.8.3 with few md-cache patches.


How reproducible:
Always

Steps to Reproduce:
***************************
1.Create a 2X2 volume and access it from windows client
2.Create a ms-word doc on the share
3.Check the properties of doc , check atime,mtime and create time
4.Open the doc and write some data in it.
5. Again verify the properties for mtime, atime and create time

Actual results:
****************************
The create time also gets updated same as access time and modify time.


Expected results:
****************************

The create time of doc should not be changed along with modify and access time

Additional info:

Doesn't look like issue with md-cache. Will verify on the build without md-cache patches and will update the bug.

Comment 1 Niels de Vos 2016-08-30 12:22:09 UTC
There is no "create time" in the Linux 'struct stat' (see 'man 2 stat'). I do not know how Windows keeps track of the "create time". Gluster does not track the "create time", only "time of last access", "time of last modification" and "time of last change".

Are you sure the "create time" is not mixed up with "change time" (ctime)?

Comment 2 surabhi 2016-09-01 06:38:52 UTC
It is windows create time which samba stores in "user.DOSATTRIB".
When user.DosATTRIB is set to yes in samba conf, DOS attributes will be stored onto an extended attribute in the UNIX filesystem, associated with the file or directory.

We can also see create time of a file from smbclient.

Comment 3 Niels de Vos 2016-09-12 05:37:01 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 4 Niels de Vos 2017-11-07 10:42:24 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.